/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 缺陷关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-11-09 13:48:58  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "缺陷关联表")
public class BugCorrelationLink extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_bugId = "bugId";
  public static final String KEY_linkId = "linkId";
  public static final String KEY_linkName = "linkName";
  public static final String KEY_linkType = "linkType";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_linkVersion = "linkVersion";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 50, message="主键-id: 数据长度不能 > 50" )
  private String id;
  /**
   * 缺陷id<br>
   */
  @ApiModelProperty("缺陷id")
  @Size(max = 50, message="缺陷id-bugId: 数据长度不能 > 50" )
  private String bugId;
  /**
   * 关联id<br>
   */
  @ApiModelProperty("关联id")
  @Size(max = 50, message="关联id-linkId: 数据长度不能 > 50" )
  private String linkId;
  /**
   * 关联名<br>
   */
  @ApiModelProperty("关联名")
  @Size(max = 50, message="关联名-linkName: 数据长度不能 > 50" )
  private String linkName;
  /**
   * 关联类型：1.案例、2.执行、3.步骤<br>
   */
  @ApiModelProperty("关联类型：1.案例、2.执行、3.步骤")
  @Size(max = 2, message="关联类型：1.案例、2.执行、3.步骤-linkType: 数据长度不能 > 2" )
  private String linkType;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 50, message="创建人-createdBy: 数据长度不能 > 50" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 50, message="更新人-updatedBy: 数据长度不能 > 50" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;
  /**
   * 版本号<br>
   */
  @ApiModelProperty("版本号")
  @Size(max = 50, message="版本号: 数据长度不能 > 50" )
  private String linkVersion;

  @ApiModelProperty("缺陷编码")
  private String bugCode;

  @ApiModelProperty("计划id")
  private String planId;

  @ApiModelProperty("用例id")
  private String caseId;

  public String getBugCode() {
    return bugCode;
  }

  public void setBugCode(String bugCode) {
    this.bugCode = bugCode;
  }

  public String getPlanId() {
    return planId;
  }

  public void setPlanId(String planId) {
    this.planId = planId;
  }

  public String getCaseId() {
    return caseId;
  }

  public void setCaseId(String caseId) {
    this.caseId = caseId;
  }

  public String getLinkVersion() {
    return linkVersion;
  }

  public void setLinkVersion(String linkVersion) {
    this.linkVersion = linkVersion;
  }

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 缺陷id<br>
   */
  public String getBugId()
  {
      return bugId;
    }

  /**
   * 缺陷id<br>
   *
   * @param bugId 缺陷id
   */
  public void setBugId(String bugId)
  {
      this.bugId = bugId;
    }
  /**
   * 关联id<br>
   */
  public String getLinkId()
  {
      return linkId;
    }

  /**
   * 关联id<br>
   *
   * @param linkId 关联id
   */
  public void setLinkId(String linkId)
  {
      this.linkId = linkId;
    }
  /**
   * 关联名<br>
   */
  public String getLinkName()
  {
      return linkName;
    }

  /**
   * 关联名<br>
   *
   * @param linkName 关联名
   */
  public void setLinkName(String linkName)
  {
      this.linkName = linkName;
    }
  /**
   * 关联类型：1.案例、2.执行、3.步骤<br>
   */
  public String getLinkType()
  {
      return linkType;
    }

  /**
   * 关联类型：1.案例、2.执行、3.步骤<br>
   *
   * @param linkType 关联类型：1.案例、2.执行、3.步骤
   */
  public void setLinkType(String linkType)
  {
      this.linkType = linkType;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public BugCorrelationLink()
  {
  }

}
